SequenceFile.Metadata (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class SequenceFile.Metadata

    java.lang.Object
      org.apache.hadoop.io.SequenceFile.Metadata

All Implemented Interfaces:
  Writable

Enclosing class:
  SequenceFile

    public static class SequenceFile.Metadata

extends Object
implements Writable

The class encapsulating with the metadata of a file. The metadata of a file is a list of attribute name/value pairs of Text type.

Constructor Summary
`SequenceFile.Metadata()`
`SequenceFile.Metadata(TreeMap<Text,Text> arg)`

Method Summary
`boolean` | `equals(SequenceFile.Metadata other)`
`Text` | `get(Text name)`
`TreeMap<Text,Text>` | `getMetadata()`
`int` | `hashCode()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `set(Text name, Text value)`
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceFile.Metadata

    public SequenceFile.Metadata()

### SequenceFile.Metadata

    public SequenceFile.Metadata(TreeMap<Text,Text> arg)

Method Detail

### get

    public Text get(Text name)

### set

    public void set(Text name,
                    Text value)

### getMetadata

    public TreeMap<Text,Text> getMetadata()

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### equals

    public boolean equals(SequenceFile.Metadata other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation